#include "xparameters.h"
#include "xbasic_types.h"

#include "keyboard.h"

#define KEYBOARD_BASEADDR	XPAR_OPB_KEYBOARD_0_BASEADDR
#define N_SCAN_CODES 256

Xuint8 scan_codes[N_SCAN_CODES];
Xuint8 next_up;


int keyboard_test()
{
	Xuint32 *keyb=(Xuint32 *)KEYBOARD_BASEADDR;
	
	keyb[3]=42;
	if(keyb[3]!=42)
		return 1;
	return 0;
}

void keyboard_init()
{
	int i;

	for(i=0;i<N_SCAN_CODES;i++) {
		scan_codes[i]=0;
	}
	next_up=0;
}

//Wait loop with keyboard update
void keyboard_wait_and_poll(int amount)
{
	Xuint32 code;
	Xuint32 *keyb=(Xuint32 *)KEYBOARD_BASEADDR;
	int i;

	for(i=0;i<amount;i++) {

		if(keyb[1]==1) {	//check "available"
			code=keyb[0];	//read from "scan_code"
			keyb[2]=1;		//write to "read"
	
			if(code==0xF0) {
				next_up=1;
				//xil_printf("F0 ");
			}
			else {
				if(code!=0xE0) {
					if(next_up==1 ) {
						scan_codes[code]=0;
						//xil_printf("up %X ",code);
					}
					else {
						scan_codes[code]=1;
						//xil_printf("down %X ",code);
					}
					next_up=0;
				}
			}
		}
	}
}

int keyboard_status(Xuint8 scan_code)
{
	return (int)scan_codes[scan_code];
}

